### Enumeration

# Gio FileMonitorFlags

#### Declaration

    flags Gio.FileMonitorFlags

#### Description [src]

Flags used to set what a `GFileMonitor` will watch for.

#### Members

`G_FILE_MONITOR_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.0
`G_FILE_MONITOR_WATCH_MOUNTS`

  Watch for mount events.

  - Value: `1`
  - Available since: 2.0
`G_FILE_MONITOR_SEND_MOVED`

  Pair DELETED and CREATED events caused by file renames (moves) and send a single G_FILE_MONITOR_EVENT_MOVED event instead (NB: not supported on all backends; the default behaviour -without specifying this flag- is to send single DELETED and CREATED events). Deprecated since 2.46: use `G_FILE_MONITOR_WATCH_MOVES` instead.

  - Value: `2`
  - Available since: 2.0
`G_FILE_MONITOR_WATCH_HARD_LINKS`

  Watch for changes to the file made via another hard link. Since 2.36.

  - Value: `4`
  - Available since: 2.0
`G_FILE_MONITOR_WATCH_MOVES`

  Watch for rename operations on a monitored directory. This causes `G_FILE_MONITOR_EVENT_RENAMED`, `G_FILE_MONITOR_EVENT_MOVED_IN` and `G_FILE_MONITOR_EVENT_MOVED_OUT` events to be emitted when possible. Since: 2.46.

  - Value: `8`
  - Available since: 2.0